package com.ruoyi.web.calculate.vo;

import java.math.BigDecimal;
import java.math.RoundingMode;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;

public class CmcEleDifSideLandDirTemplate {
    /** 主键ID */
    private Long id;

    /** 待求点号 */
    @Excel(name = "序号")
    private String pointNumber;

    /** 坐标系 */
    @Excel(name = "点名")
    private String pointName;

    /** 控制网点坐标x */
    @Excel(name = "控制网点坐标x", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double cpX;

    /** 控制网点坐标y */
    @Excel(name = "控制网点坐标y", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double cpY;

    /** 控制网点坐标z */
    @Excel(name = "控制网点坐标z", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double cpZ;

    /** 测站序号 */
    @Excel(name = "测站序号", cellType = ColumnType.NUMERIC)
    private Integer stationPN;

    /** 方向序号 */
    @Excel(name = "方向序号", cellType = ColumnType.NUMERIC)
    private Integer directionPN;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPointNumber(String pointNumber) {
        this.pointNumber = pointNumber;
    }

    public String getPointNumber() {
        return pointNumber;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public String getPointName() {
        return pointName;
    }

    public void setCPX(Double cpX) {
        this.cpX = cpX;
    }

    public Double getCPX() {
        return cpX;
    }

    public void setCPY(Double cpY) {
        this.cpY = cpY;
    }

    public Double getCPY() {
        return cpY;
    }

    public void setCPZ(Double cpZ) {
        this.cpZ = cpZ;
    }

    public Double getCPZ() {
        return cpZ;
    }

    public void setStationPN(Integer stationPN) {
        this.stationPN = stationPN;
    }

    public Integer getStationPN() {
        return stationPN;
    }

    public void setDirectionPN(Integer directionPN) {
        this.directionPN = directionPN;
    }

    public Integer getDirectionPN() {
        return directionPN;
    }
}

